# Trait nom::ParseTo

source · [−]

    pub trait ParseTo<R> {
        fn parse_to(&self) -> Option<R>;
    }

Expand description

Used to integrate `str`’s `parse()` method

## Required Methods

source

#### fn parse_to(&self) -> Option<R>

Succeeds if `parse()` succeeded. The byte slice implementation will first convert it to a `&str`, then apply the `parse()` function

## Implementations on Foreign Types

source

### impl<'a, R: FromStr> ParseTo<R> for &'a [u8]

source

#### fn parse_to(&self) -> Option<R>

source

### impl<'a, R: FromStr> ParseTo<R> for &'a str

source

#### fn parse_to(&self) -> Option<R>

## Implementors